UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
com.latencybusters.lbm.LBMTopic Class Reference

LBM Topic class. It is recommended that topic objects be instantiated from the context factory methods allocTopic() and lookupTopic() (for sources and receivers respectively). More...

## Classes
struct | lbmtmgr_src_note_clientd_t

## Public Member Functions
| LBMTopic (LBMContext lbmctx, string symbol)
| Turn a Topic string into an LBMTopic object usable by receivers. It is recommended that topic objects be instantiated from the context factory methods allocTopic() and lookupTopic() (for sources and receivers respectively). More...
| LBMTopic (LBMContext lbmctx, string symbol, LBMReceiverAttributes lbmrattr)
| Turn a Topic string into an LBMTopic object usable by receivers It is recommended that topic objects be instantiated from the context factory methods allocTopic() and lookupTopic() (for sources and receivers respectively). More...
| LBMTopic (LBMContext lbmctx, string symbol, LBMSourceAttributes lbmsattr)
| Turn a Topic string into an LBMTopic object usable by sources It is recommended that topic objects be instantiated from the context factory methods allocTopic() and lookupTopic() (for sources and receivers respectively). More...

## Detailed Description

LBM Topic class. It is recommended that topic objects be instantiated from the context factory methods allocTopic() and lookupTopic() (for sources and receivers respectively).

Warning: It is not safe to instantiate this object from a context thread callback.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMTopic.LBMTopic | ( | LBMContext | lbmctx,
|  | string | symbol
| ) |  |

Turn a Topic string into an LBMTopic object usable by receivers. It is recommended that topic objects be instantiated from the context factory methods allocTopic() and lookupTopic() (for sources and receivers respectively).

Note: This constructor cannot be used to initialize a source topic.

Warning: It is not safe to call this constructor from a context thread callback.

See also
  LBMReceiver

Parameters

  lbmctx | LBMContext object for the topic
  symbol | Topic string (Topic strings should be limited in length to 246 characters, not including the final null).

com.latencybusters.lbm.LBMTopic.LBMTopic | ( | LBMContext | lbmctx,
|  | string | symbol,
|  | LBMReceiverAttributes | lbmrattr
| ) |  |

Turn a Topic string into an LBMTopic object usable by receivers It is recommended that topic objects be instantiated from the context factory methods allocTopic() and lookupTopic() (for sources and receivers respectively).

See also
  LBMReceiver

Warning: It is not safe to call this constructor from a context thread callback.

Parameters

  lbmctx | LBMContext object for the topic
  symbol | Topic string (Topic strings should be limited in length to 246 characters, not including the final null).
  lbmrattr | LBMReceiverAttributes object used to initialize the topic object

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

com.latencybusters.lbm.LBMTopic.LBMTopic | ( | LBMContext | lbmctx,
|  | string | symbol,
|  | LBMSourceAttributes | lbmsattr
| ) |  |

Turn a Topic string into an LBMTopic object usable by sources It is recommended that topic objects be instantiated from the context factory methods allocTopic() and lookupTopic() (for sources and receivers respectively).

See also
  LBMSource

Warning: It is not safe to call this constructor from a context thread callback.

Parameters

  lbmctx | LBMContext object for the topic
  symbol | Topic string (Topic strings should be limited in length to 246 characters, not including the final null).
  lbmsattr | LBMSourceAttributes object used to initialize the topic object

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), com.latencybusters.lbm.LBM.errorNumber(), com.latencybusters.lbm.LBMSourceCreationCallback(), and com.latencybusters.lbm.LBMSourceDeletionCallback().

The documentation for this class was generated from the following file:

- LBMTopic.cs